commit ec567fe86ad6a9406ea466cec883283ab098ff6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 13 14:59:29 2023 -0800

    xf86-video-trident 1.4.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e993eebd1f3f0fed9ff77f024042aca9310eebcd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 9 11:34:53 2022 -0800

    Fix 96 out of 102 -Wdiscarded-qualifiers warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf78cb5118c86105cc3eca7e476ed7b30b9a0d8b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 9 11:32:24 2022 -0800

    blade_exa: Fix -Wimplicit-fallthrough warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 819ce9b5dfa75c6c5d26cc674254c806a690ffad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c2f3f85426b957c1e7176ec18f2682eeb21ba440
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 29 15:25:10 2022 -0800

    Update trident_pci_rename.h to pci_rename.h in src/Makefile.am
    
    Makefile was missed when header was renamed.  Fixes "make distcheck".
    
    Fixes: cc33df89bcdcec83da5b8eface1b191802d694b2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 077335e9b1c62c8fcbc21a4dbb8b34b670e276ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 29 15:18:10 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12dc7dac8d0ddceb1843e9bbd604fdd2ec355c2c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 29 15:17:16 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 591dae19fb49b6a9c6d36ffc0fdf2224aed164c6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 29 15:15:43 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 07a5c4732f1c28ffcb873ee04500e3cb813c50b4
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Tue Dec 7 22:28:04 2021 +0100

    Remove ramdac
    
    ramdac drivers have been removed from xserver since version 21.0.99.1
    and
    https://gitlab.freedesktop.org/xorg/xserver/-/commit/f0385fb420158ac3bc1c4c325431ffc5c62344bb
    resulting in the following build failure:
    
    In file included from trident_bank.c:37:
    trident.h:41:10: fatal error: xf86RamDac.h: No such file or directory
       41 | #include "xf86RamDac.h"
          |          ^~~~~~~~~~~~~~
    
    Fixes:
     - http://autobuild.buildroot.org/results/c81ac8075af257e8626d9d097270be7a7b4a1496
    
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit cc33df89bcdcec83da5b8eface1b191802d694b2
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 20:02:11 2019 -0700

    Rename trident_pci_rename.h to pci_rename.h
    
    PCI rename header file appears to be generic, so trident_ prefix
    should be dropped.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit b0b1c79aa91b56f55094890d8de98ff82d58ee49
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:44:54 2019 -0700

    Rename tridentpcirename.h to trident_pci_rename.h
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 2da734596084e742ab752567e2ee0eddffe14f95
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:42:54 2019 -0700

    A minor adjustment to src/Makefile.am
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 5f110dc4c1c395ef07bd401f0e8abea095a1d22f
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:39:45 2019 -0700

    Move IsClearTV function location inside trident_pll.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit b34e8641c63b4ac4166e276586807c920c3183cb
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:30:56 2019 -0700

    Add braces to two for loops that lack them
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit eb2d933f74fb390643c7ea37a6223783ec29848c
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:30:03 2019 -0700

    Rename tridenthelper.c to trident_pll.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit df9a2274788e12b71738412c681a3755640a0b95
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:13:42 2019 -0700

    Fix indentation of tridenthelper.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit dff7175a3620bca0d45c241c42c8c0fc09c3c054
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:09:01 2019 -0700

    Tab to spaces conversion for tridenthelper.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 8ea9a457609aca259da1abad9f99aa30964b6475
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri May 10 19:08:16 2019 -0700

    Add braces to for loops inside tridenthelper.c
    
    Newer versions of gcc give warnings, so this fix suppresses the
    warnings.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit fb546df6b2891e6c4b3032d57dc25084e9b6ec79
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:49:16 2019 -0800

    Rename xp4_accel_exa.c to xp4_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit ddb8975c0c810df7a3e6a5e7c18cb49fd59d2c34
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:46:48 2019 -0800

    Fix indentation of xp4_accel_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit e9871ae05f4aaad194ff28ce34793df58bd757ce
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:44:35 2019 -0800

    Tab to spaces conversion for xp4_accel_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 1ec32020c9c9bfe53796b61605c2fb1df164870e
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:33:02 2019 -0800

    Rename xp4_accel.c to xp4_xaa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 6f21b76940f582fc3dff8e67bceacc196598f941
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:30:17 2019 -0800

    Suppress unused function compilation warnings for XP4 XAA functions
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 286b5ad5e3b755267b90cac670b2562b8209529a
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:29:08 2019 -0800

    Fix indentation of xp4_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit ab9bc7fcfc8bcbe190ba48618ce9e813f02f11ee
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 14:21:31 2019 -0800

    Tab to spaces conversion for xp4_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit be4a1b3065ff8cc7d826cae36747ae3cc4c5aecf
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 13:40:05 2019 -0800

    Rename xp_accel.c to xp_xaa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit de1774492112fff99631cae041c81bfb6eb87a86
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 13:35:37 2019 -0800

    Fix indentation of xp_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 867c9f8620e37477dfa1cdf919ea6472e4a5348f
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 13:34:46 2019 -0800

    Tab to spaces conversion for xp_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 6793836ebf7ea4d1b9cc96ea1b948b35582d9cac
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Mar 5 13:24:35 2019 -0800

    Fix indentation of src/Makefile.am
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit f08258914d87c991f496520007f5c39e2c373737
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:56:37 2019 -0800

    Rename blade_accel_exa.c to blade_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit b51b7aeb2a0658e3802a5efc1fab73062810bd87
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:55:55 2019 -0800

    Fix indentation of blade_accel_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 4a4c34d9cff0d9a33d2daa135719812ab574bfbc
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:55:03 2019 -0800

    Tab to spaces conversion for blade_accel_exa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 9f3aa06c20da422a27807facd952dc54f5d62947
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:51:06 2019 -0800

    Rename blade_accel.c to blade_xaa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 2783af1f97ded26a028fe31f606ac3df12f2cf73
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:50:42 2019 -0800

    Fix indentation for blade_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 62c95fa3d19f87329f780aa4853e3d8d9c1af3e5
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:50:24 2019 -0800

    Tab to spaces conversion for blade_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 21f970fc6ddca600f617f8832fdb3313a66e26df
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:10:47 2019 -0800

    Rename image_accel.c to image_xaa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 6ca4a51aa1e0dc26665745da06def631bb15e734
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:10:28 2019 -0800

    Fix indentation for image_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 96318bb118cb8e08900b43daf09a8e4f5b4df381
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Mar 4 21:10:01 2019 -0800

    Tab to spaces conversion for image_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit e3d8815b11b80ab3460256dedd142070a257c2db
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Feb 19 19:13:33 2019 -0800

    Rename trident_accel.c to tgui_xaa.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 626886dd43ed3a250c31868d9089835b76e2133a
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Feb 19 19:13:32 2019 -0800

    Fix indentation for trident_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 410ac2c46b2fc451dc3ecec30876128565f76ed6
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Feb 19 19:13:31 2019 -0800

    Tab to spaces conversion for trident_accel.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 1f965945fbe53a9a47c5d00f86b0348f495bc86b
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Sat Feb 16 08:41:15 2019 -0800

    Compilation fix for NEC PC-98x1 specific code inside trident_driver.c
    
    Unfortunately, commit 122747b2317fa6f82add70701efa8f853989ca3d broke
    the order of various NEC PC-98x1 specific initialization functions
    that was compiled for X Servers up to ABI_VIDEODRV_VERSION < 12.
    This commit fixes the issue.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 30ca6e4630851f09a77dbc1f58e8c3b2472ad437
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Feb 4 22:01:06 2019 -0800

    Tab to spaces conversion for trident_driver.c
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 6ab3b054670d21bca51635ff222039882b0aa3ef
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 25 08:55:04 2018 -0600

    Remove unwritten code related to EXA composite for Blade 3D
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit b315b4a9f41bf6ac68c13bcdebc6f8d0cce07be7
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 25 08:47:54 2018 -0600

    Suppress defined but not used compilation warning
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 122747b2317fa6f82add70701efa8f853989ca3d
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 16:12:46 2018 -0600

    Significantly reduce static function declarations for trident_driver.c
    
    Moved many functions around in order to accomplish this.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 8fee57780772dc8ffee1f90d2ee1af2232b5b387
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 16:10:42 2018 -0600

    Use const char for xf86GetOptValString return type
    
    Apparently, xf86GetOptValString changed their return type from char
    to const char between X Server 1.15 and 1.16. In particular, X Server
    commit e1e01d2e33c632e395d7e396f73fba8ae606b15a made the change. This
    commit will suppress the compilation warning.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 41d88c7bfd848fbbccb9136956b36a5a21d53317
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:15:00 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b50c09b9f910a754fdd3a6bef504e286bd7b32ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 16:38:54 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d270ceb929068f7292b9d759000a6224f2747cc
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 96f41ed9da81fc17fd1a778d01ffa096c6ba77a7
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f55e11cdd789754e8d51ba0b8b376a3a34b7b1d4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 945cbd7c9a654bfd04142ec96d2997e362726558
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1283ff65bc9c7c9637c5423bb90737acd89d222e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dadf45e8eb52ec8404ee596ee13984470b736fbd
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Jan 17 14:48:51 2017 -0800

    xf86-video-trident 1.3.8
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit b5f4d35327863a14224d2a63885cd8b3b83a1815
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 19 10:03:56 2016 -0400

    Adapt Block/WakeupHandler signature for ABI 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 64c02f307d7146641adf65e31bcaa2d1238479e7
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Mar 30 10:06:15 2015 -0700

    xf86-video-trident 1.3.7
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 562c38ca017c34509525ee558c761cb8aee0d401
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 29 09:30:43 2014 -0400

    Stop using deprecated xf86PciInfo.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9f8e49e04bce04dac5effa4716e3caaa0874f848
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 29 09:27:48 2014 -0400

    shadow: shadowInit -> shadowAdd/Remove
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2650c0bf05c30183d7fd31902e96260e6b8bf028
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 13:56:03 2014 -0400

    Use own thunk functions instead of vgaHW*Weak
    
    I plan to remove the Weak functions from a future server.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 48c15909691e28ad2c188a2978b1c8ef3d9d8760
Author: Timo Aaltonen <tjaalton@ubuntu.com>
Date:   Wed Sep 26 11:01:26 2012 +0300

    Fix loading the driver without XAA

commit 30787294c837aefa8820b6f76f00fe30d4e54181
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 25 08:55:01 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3098fe7193cbfe4a885a60b93e71796b70e4fa2a
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-trident: bump to version 1.3.6
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f02709607cb353db1e89a909ff01a6941f535ab4
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 16 03:17:51 2012 +0100

    trident: add support for building without XAA
    
    fix build for removal of XAA from server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 177c93486647e71c088ac42697e34c47664eb666
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:49:16 2012 +0100

    trident: convert to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 2301879bc334fd9f44cc7f23be613b5b4533568a
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:40:26 2012 +0100

    trident: drop lots of xf86PciInfo.h includes
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f481290e6dbd73b484cad3e8583031c6e2ccb555
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 18 10:48:07 2012 -0400

    Use DamageRegion for shadow damage
    
    The 'damage' member is an ancient compatibility hack I want to destroy.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 16816e99bacbd8dfc51a2deba541a72fb27f156a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 20:02:50 2012 -0700

    xf86-video-trident 1.3.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2267e83d794b916132db0411c642f7b212615f07
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:36:57 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2f87fa6ddebacb03bbd3a8ca3177ce16912d0f2c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:36:36 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6afbfaf62a2d049fcf289b1dbf32018fd7fdea1c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 1 20:33:48 2011 -0700

    Dead code removal
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 343fc2a2b98ca9e93c031b7f7c3378563699b394
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 20:07:56 2011 -0700

    Disable PC98 code on newer servers
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b20007d04b9198188fd214d3ed7d850dd613bc97
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:56:32 2011 -0700

    Use uint32_t instead of deprecated PCITAG
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit da09f04b6d7da1ca10ce9d20a00d8ac9f2c0adb7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:55:17 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0bd545e1301d55c5874484f2a4a7952b6eca48c0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:52:09 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit de79bbea800f75b3c9ff13cd38450d32a24da5b7
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Oct 22 21:05:08 2010 -0400

    Update xf86dgastr.h include.
    
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ea4552f158f6f8f30045b934feffd303260f3197
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Oct 22 21:04:53 2010 -0400

    Convert x+m/calloc/free to m/calloc/free.
    
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4334153785449d4c0c1e7daca6030c9847f7343f
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30a00b13dc0dd2f6f07269b0e9116b78b290c109
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 842b0be89bf466a7d8fb20aff3f72cb213ba7f7e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f782f14b2a8952e9b314662bd749237f96fcb677
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:42 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9efe436169c158f8ba8bc81ba59edd9d17beedf8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 644e1b0dd2e40f59125aab506cd07aa0cb1e5235
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7b6fa53fc713d0966810afce530897b65456a4c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8b8c3e5731b3347ebc7af6bf7016de884f6b21cb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 54d16a46f2381deb05c73a5356f5e77f008ad91e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9a48f395cde9551ee231171436a6eda82575ae56
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 13be9ab4c85dc2a8b2dc7c93df65d50413073041
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:30 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit b5d17329ae1746bc95ac211c1325df86982e0eb1
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 5 14:32:39 2010 +1000

    trident 1.3.4

commit ea2f02a84ad5a51a39c0ae55fa5aa785360d3830
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 12:34:21 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cb7949bf5a4e99755677ce5df09f2e977a47da71
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:05:31 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c5ec01e6786280717675d3841d85337645b15753
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1331623dbee4fbfa36188a4460a95bed4128f11e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 13:08:51 2009 -0500

    Make banking support properly conditional on ISA support
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d6f5105ff4bab91a2af4cf5655b88ff27cba74bd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 3809fea7739b8639d855d790686c2b1eb1b91898
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 781094dd862b209022bb2f8cdf394e3479ab28c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 11775de5025c32b65551497cb7fbb7040be9c314
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 7401cbd387631e2678bbdfdfcc4e30e5a0ecd4c8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f688b70c64ceed3704db2510a17561524a3b6ef8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 7 11:12:13 2009 -0400

    xf86-video-trident: Remove unused .cvsignore file #23776
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33fc86bade1c638300f1b17236cb0b0a492ac6d0
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Aug 5 10:26:35 2009 +1000

    bump to 1.3.3 for release

commit 3008fa244f8fdf8bf3306dd8c3b781221885ec1b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    trident: change to using ABI version check

commit 314cb60172135abb5efe40fd0a0e6837f2662780
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:39 2009 +1000

    trident: update for resources/RAC API removal

commit 6ef2f6e2e7628311e25d2fe35452372cd03bfb57
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:57:17 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51d9968f5084f3c38c7459d2e0a1c28d355cbae2
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 11:51:05 2009 -0400

    trident 1.3.2

commit 5f638c14ebda6473dea664b3730844ae9792933e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:22:59 2009 -0400

    Remove useless loader symbol lists.

commit d0e17d0a40c771ae484252ab6a1c093a60bddaa7
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:58:07 2009 -0500

    Revert "Build fix: set EXA_DRIVER_KNOWN_MAJOR=3"
    
    This reverts commit b951fe81bb976704be716251a4925086f2c70013.
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit b951fe81bb976704be716251a4925086f2c70013
Author: Chris Ball <cjb@laptop.org>
Date:   Wed Feb 25 13:00:12 2009 -0500

    Build fix: set EXA_DRIVER_KNOWN_MAJOR=3
    
    EXA in server HEAD requires this now. Since this driver doesn't use
    {Prepare,Finish}Access or UploadToScratch, the change is safe.
    
    Remove unused {Prepare,Finish}Access empty functions.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 4152c64a22e81a8f2e2d91507493c422aac301a3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 21:04:56 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 52286f1c9c543d6e8105192dc4914fa6f934bf60
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:37:18 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit a4ae6379a5725e77837201bf1dc735124f7dc368
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 22 13:59:29 2008 +1000

    trident 1.3.1

commit 34915ef8969596f2aca4700c02a08959b916ed1f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Nov 28 01:01:32 2008 -0200

    Correct macro IsPrimaryCard to check HAVE_ISA.

commit 73cbaec34866524deab838d04876408bbc93a102
Author: Adam Jackson <ajax@redhat.com>
Date:   Sun Nov 23 17:30:45 2008 -0500

    Make ISA optional

commit 7119ae2424d7fea8eb67586be4ea9982000dcc3a
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 15 14:08:10 2008 -0400

    Uninclude xf86Version.h

commit a1cd2244b7457189630fab8be1532272e8eb7d64
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Jun 6 14:47:14 2008 +0200

    Link with -lm for sin()

commit ac4bce50754528efbf55daa87dd4992ac70c4af2
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:42:53 2008 -0400

    trident 1.3.0

commit 012794d5aa4cf862f7d5b83d744acc2d5a13bf52
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:41:46 2008 -0400
[--snip--]
